
enum Environment { PRODUCTION, SANDBOX, TEST }

enum PaymentChannel { CARD, WALLET, QR, USSD, PAYCODE }


class IswSdkConfig {
  final String merchantId;
  final String merchantSecret;
  final String merchantCode;
  final String currencyCode;

  IswSdkConfig(this.merchantId, this.merchantSecret, this.merchantCode,
      this.currencyCode);

  Map<String, String> toMap() {
    return {
      'merchantId': merchantId,
      'merchantSecret': merchantSecret,
      'merchantCode': merchantCode,
      'currencyCode': currencyCode
    };
  }
}
